Bug 1315671 - dev/release branches initially not listed in Repository Editor after managed repository created
dev/release branches initially not listed in Repository Editor after managed ...
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
Unspecified Unspecified
urgent Severity medium
: ER3
: ---
Assigned To: Walter Medvedeo
Jan Hrcek
Depends On:
Blocks: 1327639
  Show dependency treegraph
Reported: 2016-03-08 07:04 EST by Jan Hrcek
Modified: 2016-04-19 07:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1327639 (view as bug list)
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Video showing the steps to reproduce the issue (994.40 KB, application/octet-stream)
2016-03-08 07:05 EST, Jan Hrcek
no flags Details

  None (edit)
Description Jan Hrcek 2016-03-08 07:04:44 EST
Description of problem:
This is a follow up to bug # 1305057
After creating new managed repository in Administration perspective with option "Automatically Configure Branches" enabled, the branches dev & release are created, but they are not initially listed in the dropdown for switching the branches.

Attached video with steps to reproduce (this video is recorded using 6.2.2 patch, but the issue is the same in 6.3.0.DR2). The issue is visible in 0:22 after repo is created - only master branch is shown. I need to leave perspective - return to perspective to actually see other branches there.

Version-Release number of selected component (if applicable):
BPM Suite 6.3.0 DR2

How reproducible:

Steps to Reproduce:
1. Login with user who has role kiemgmt (needed to be able to create managed repository)
2. Go to Administration persp., Repositories > New Repository
3. Fill in name and check "manage repository", click next and make sure Automatically configure branches (master/dev/release) is selected and click Finish
4. Check the main panel on the right (Repository edito) contains the newly created repo

Actual results:
The dropdown for selecting branches only contains "master" option.
But when I navigate to different perspective (e.g. authoring) and then get back to Administration, then the select contains all the branches (master/dev/release)

Expected results:
The dropdown in Administration > Repository Editor should contain all the branches after Managed repo is created with "Automatically configure branches" option.
Comment 1 Jan Hrcek 2016-03-08 07:05 EST
Created attachment 1134112 [details]
Video showing the steps to reproduce the issue
Comment 2 Kris Verlaenen 2016-03-16 11:10:03 EDT
Adding blocker flag for 6.3.0 since this is also requested for 6.2.3
Comment 3 Walter Medvedeo 2016-03-22 12:06:09 EDT
PR in the 6.4.x branch is in the waiting queue.
Comment 4 Walter Medvedeo 2016-03-22 12:09:00 EDT
Just for record here's the pointer to the mentioned PR https://github.com/droolsjbpm/guvnor/pull/296
Comment 5 Walter Medvedeo 2016-03-22 13:34:15 EDT
PR was merged into 6.4.x and the fix will be available for the 6.4-CR2 and product 6.3

Comment 6 Walter Medvedeo 2016-03-23 09:44:11 EDT
PR in master in the waiting queue
Comment 7 Walter Medvedeo 2016-03-23 12:08:24 EDT
PR was also merged into master


So now both master and 6.4.x has the fix.
Comment 9 Alessandro Lazarotti 2016-04-15 10:20:23 EDT
cloned to bug 1327639
Comment 10 Jan Hrcek 2016-04-19 07:40:22 EDT
Ok, now it's working as expected. Verified with BPM Suite 6.3.0 ER3

Note You need to log in before you can comment on or make changes to this bug.